Bug 1258274 - Review Request: glassfish-jaxrpc-api - The Java API for XML-Based RPC (JAX-RPC)
Review Request: glassfish-jaxrpc-api - The Java API for XML-Based RPC (JAX-RPC)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 995433
  Show dependency treegraph
 
Reported: 2015-08-30 17:51 EDT by gil cattaneo
Modified: 2015-11-21 21:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-21 21:23:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2015-08-30 17:51:45 EDT
Spec URL: https://gil.fedorapeople.org/glassfish-jaxrpc-api.spec
SRPM URL: https://gil.fedorapeople.org/glassfish-jaxrpc-api-1.1.1-1.fc22.src.rpm
Description:
Project GlassFish Enterprise JavaBean API.

Java APIs for XML based RPC 1.1 Design Specification.
Fedora Account System Username: gil
Comment 2 Upstream Release Monitoring 2015-11-06 08:56:24 EST
gil's scratch build of glassfish-jaxrpc-api-1.1.1-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11726554
Comment 3 Tom "spot" Callaway 2015-11-10 15:03:41 EST
Good:

- rpmlint checks return:
glassfish-jaxrpc-api.src: W: invalid-url Source0: glassfish-jaxrpc-api-1.1.1.tar.xz
glassfish-jaxrpc-api.noarch: W: no-documentation

All safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (CDDL or GPLv2 with exceptions) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (manual check okay)
- package compiles on f23 (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- javadoc ok
- nothing in %doc affects runtime
- no need for .desktop file 

License tag needs to be fixed before import. pom.xml confirms that proper tag is CDDL or GPLv2 with exceptions (your current spec has "and").

APPROVED.
Comment 4 gil cattaneo 2015-11-10 15:15:51 EST
(In reply to Tom "spot" Callaway from comment #3)

> License tag needs to be fixed before import. pom.xml confirms that proper
> tag is CDDL or GPLv2 with exceptions (your current spec has "and").

Done

Spec URL: https://gil.fedorapeople.org/glassfish-jaxrpc-api.spec
SRPM URL: https://gil.fedorapeople.org/glassfish-jaxrpc-api-1.1.1-1.fc23.src.rpm

Thanks!

Request for new package:
https://admin.fedoraproject.org/pkgdb/package/requests/1464
https://admin.fedoraproject.org/pkgdb/package/requests/1465
Comment 5 Gwyn Ciesla 2015-11-11 09:16:45 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/glassfish-jaxrpc-api
Comment 6 gil cattaneo 2015-11-11 11:21:41 EST
I believe that this bug is fixed in glassfish-jaxrpc-api-1.1.1-1.fc24.
So I am closing this bug now.
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11793916
Comment 7 Fedora Update System 2015-11-12 12:02:40 EST
glassfish-jaxrpc-api-1.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1d54c3cb7e
Comment 8 Fedora Update System 2015-11-13 00:29:11 EST
glassfish-jaxrpc-api-1.1.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update glassfish-jaxrpc-api'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1d54c3cb7e
Comment 9 Fedora Update System 2015-11-21 21:23:39 EST
glassfish-jaxrpc-api-1.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.